
QGIS Application - Bug report #3155

Zoom to layer works incorrectly while layer editing

2010-10-25 11:28 PM - dr -

Status: Closed

Priority: Low

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 13215

Description

    1. Open raster layer (http://gis-lab.info/share/DR/modis.7z 404) 

    2. Add new polygonal vector layer

    3. Draw little polygon in right top corner of raster;

    4. Stop editing and save changes;

    5. Make with zoom out tool raster layer looks like small rectangle in center of View;

    6. Toggle editing and draw new polygon in right top corner of view;

    7. Without stopping editing try make zoom to layer on vector layer;

    8. Looks like extent calculates incorrect.

    9. Stop editing, don't save changes and try zoom to vector layer again. Zoom to layer work incorrectly.

Associated revisions

Revision 9b5c6831 - 2016-02-25 06:22 PM - Jürgen Fischer

also recalculate layer extent after rollback (fixes #3155)

History

#1 - 2010-10-28 09:04 AM - Maxim Dubinin

5-7. I confirm, the extent looks wrong.

http://gis-lab.info/images/screenshots/20101028-69a-65kb.jpg

9. I confirm, after rejecting saving new polygon it seems that extent is still larger than small polygon on the raster.

http://gis-lab.info/images/screenshots/20101028-19d-62kb.jpg

#2 - 2011-01-18 09:55 PM - sunilkcube -

- Status changed from Open to In Progress

#3 - 2011-01-31 06:13 AM - Jürgen Fischer

Recalculating the extent on every editing operation could be quite expensive.  So it might be useful to make this optional and disable "zoom to layer" while

editing.   There's also the issue of undo/redo.

#4 - 2011-03-30 11:47 PM - Borys Jurgiel

What about recalculating the extent when the "zoom to layer" pressed (only if the layer is dirty).
#5 - 2011-04-11 12:26 AM - sunilkcube -

Replying to [comment:4 borysiasty]:

What about recalculating the extent when the "zoom to layer" pressed (only if the layer is dirty).

 The comment from Jef tells that calculating extents while editing is quite expensive.

#6 - 2011-04-11 12:32 AM - Borys Jurgiel

Replying to [comment:5 sunilkcube]:

The comment from Jef tells that calculating extents while editing is quite expensive.

Not exactly, the comment from Jef is about recalculating on every operation.

#7 - 2011-12-16 01:54 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#8 - 2012-04-16 06:24 AM - Paolo Cavallini

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

#9 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#10 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#11 - 2015-11-19 01:41 AM - Médéric RIBREUX

- Status changed from In Progress to Feedback

- Assignee deleted (sunilkcube -)

- Pull Request or Patch supplied set to No

Hello, bug triage...

this is still the case for QGIS 2.13 master...

#12 - 2015-12-12 03:00 AM - Médéric RIBREUX

- Status changed from Feedback to Open

#13 - 2016-02-25 09:23 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"9b5c6831065cbaa2046a2fb0d27ba7ef2cd2211d".
